package com.yonyou.hrcloud.pm.ps.dao;

import com.yonyou.hrcloud.adder.ext.annotation.MBDao;
import com.yonyou.hrcloud.pm.base.model.GradeItem;
import com.yonyou.hrcloud.pm.ps.model.Scheme;
import com.yonyou.hrcloud.pm.ps.model.Sheet;
import com.yonyou.hrcloud.pm.result.model.Score;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;


/**
 * @Author ZengCL
 * @create 2020/12/9 11:44
 */
@MBDao
public interface IExclQueryDao {


    /**
     * 获取考核等级明细
     * @param gradeid
     * @return
     */
    public  List<GradeItem> getGradeByID(@Param("gradeid") String gradeid);

    public GradeItem getGradeInfoByName(@Param("gradename") String gradename,@Param("gradeid") String gradeid);

    public String getPsnBycode(@Param("code") String code);

    public Score queryScoreInfo(@Param("schemeid") String schemeid, @Param("staffid") String staffid,@Param("numcode")String numcode);

    public Sheet querySheetID(@Param("schemeid") String schemeid, @Param("staffid") String staffid);

    public Scheme querySchemeBySheetID(@Param("schemeid") String schemeid);
    
    public void updateScore(@Param("schemeid") String schemeid,@Param("sheetid") String sheetid,
    		@Param("columncode") String columncode,@Param("staffid") String staffid,
    		@Param("numvalue") BigDecimal numvalue,@Param("text") String text);

    }
